> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織メンバーの追加

> Enterprise 内の 1 つ以上の組織にユーザーを一括追加する

Enterprise 管理者の個人用 APIキーが必要です。

このエンドポイントを使うと、1 回の API 呼び出しで複数のユーザーを複数の組織に追加できます。大規模な組織メンバーシップを管理する際に、効率的な一括操作が行えるよう設計されています。


## OpenAPI

````yaml ja/v2-openapi.yaml POST /v2/enterprise/organizations/{org_id}/members
openapi: 3.1.0
info:
  description: Enterprise 管理者向け Personal API Keys 対応 Devin v2 API
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/members:
    post:
      tags:
        - organizations
      summary: Enterprise組織のメンバー追加エンドポイント
      description: >-
        組織にユーザーを一括追加する


        注記: app.routers.enterprises.py からコピーされたものです。適切に membership SDK
        へリファクタリングする必要があります。
      operationId: >-
        enterprise_organizations_member_addition_endpoint_v2_enterprise_organizations__org_id__members_post
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnterpriseBulkOrgMembersUpdate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    EnterpriseBulkOrgMembersUpdate:
      properties:
        group_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Group Names
        org_ids:
          items:
            type: string
          title: Org Ids
          type: array
        org_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Role
        user_ids:
          items:
            type: string
          title: User Ids
          type: array
      required:
        - user_ids
        - org_ids
      title: EnterpriseBulkOrgMembersUpdate
      type: object
    SuccessResponse:
      properties:
        status:
          default: success
          title: Status
          type: string
      title: SuccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Enterprise 管理者専用の個人用 API キー (apk_user_*)
      scheme: bearer
      type: http

````